Subject: bug#53954: 29.0.50; segmentation fault, Februray 12th 2022

From: Jean Louis <[email-masked]>
Date: Sat, 12 Feb 2022 14:47:15 +0300

I have updated today with `git pull' to latest and found that I cannot
execute Emacs, there is segmentation fault.

Attached file error.txt lists errors when running `emacs'.

Attached file error2.txt lists errors when running `emacs -Q'.

I have reverted to 5th February 2022, to random commit, that I can run
Emacs, otherwise I cannot.

In GNU Emacs 29.0.50 (build 5, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
 of 2022-02-12 built on protected.rcdrun.com
Repository revision: 686f7f8f628c04e9d574186173165b2b5a9f92e2
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit x multi-tty make-network-process
emacs)

Memory information:
((conses 16 46590 5674)
 (symbols 48 6219 3)
 (strings 32 17624 2030)
 (string-bytes 1 545511)
 (vectors 16 12038)
 (vector-slots 8 167286 44475)
 (floats 8 22 46)
 (intervals 56 248 0)
 (buffers 992 11))

-- 
Thanks,
Jean Louis

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

Loading /home/data1/protected/Programming/emacs-lisp/rcd-utilities.el (source)...
Loading /home/data1/protected/Programming/emacs-lisp/rcd-utilities.el (source)...done
Fatal error 11: Segmentation fault
Backtrace:
emacs(+0x17cde1)[0x56393762cde1]
emacs(+0x45d91)[0x5639374f5d91]
emacs(+0x462b9)[0x5639374f62b9]
emacs(+0x17b0fd)[0x56393762b0fd]
emacs(+0x17b179)[0x56393762b179]
/usr/lib/libpthread.so.0(+0x13870)[0x7f49ac7cf870]
emacs(+0x12538b)[0x5639375d538b]
emacs(+0x136e34)[0x5639375e6e34]
emacs(+0x138539)[0x5639375e8539]
emacs(+0x163d52)[0x563937613d52]
emacs(+0x165625)[0x563937615625]
emacs(+0x231cea)[0x5639376e1cea]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x1e9532)[0x563937699532]
emacs(+0x1e9799)[0x563937699799]
emacs(+0x5cd93)[0x56393750cd93]
emacs(+0x5d10d)[0x56393750d10d]
emacs(+0x1464fa)[0x5639375f64fa]
emacs(+0x231de0)[0x5639376e1de0]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x1e9532)[0x563937699532]
emacs(+0x1eb072)[0x56393769b072]
emacs(+0x231de0)[0x5639376e1de0]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x232307)[0x5639376e2307]
emacs(+0x1ee76f)[0x56393769e76f]
emacs(+0x1ed2b6)[0x56393769d2b6]
emacs(+0x1ef849)[0x56393769f849]
emacs(+0x1e7c57)[0x563937697c57]
emacs(+0x15b026)[0x56393760b026]
emacs(+0x1e7bb1)[0x563937697bb1]
emacs(+0x15a5ef)[0x56393760a5ef]
emacs(+0x161d21)[0x563937611d21]
emacs(+0x1620b1)[0x5639376120b1]
emacs(+0x4e564)[0x5639374fe564]
/usr/lib/libc.so.6(__libc_start_main+0xd5)[0x7f49ac313b25]
emacs(+0x4ecae)[0x5639374fecae]
...
Fatal error 11: Segmentation fault
Backtrace:
emacs(+0x17cde1)[0x55c75e173de1]
emacs(+0x45d91)[0x55c75e03cd91]
emacs(+0x462b9)[0x55c75e03d2b9]
emacs(+0x17b0fd)[0x55c75e1720fd]
emacs(+0x17b179)[0x55c75e172179]
/usr/lib/libpthread.so.0(+0x13870)[0x7f5017b7a870]
emacs(+0x12538b)[0x55c75e11c38b]
emacs(+0x136e34)[0x55c75e12de34]
emacs(+0x138539)[0x55c75e12f539]
emacs(+0x163d52)[0x55c75e15ad52]
emacs(+0x165625)[0x55c75e15c625]
emacs(+0x231cea)[0x55c75e228cea]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x1e9532)[0x55c75e1e0532]
emacs(+0x1e9799)[0x55c75e1e0799]
emacs(+0x5cd93)[0x55c75e053d93]
emacs(+0x5d10d)[0x55c75e05410d]
emacs(+0x1464fa)[0x55c75e13d4fa]
emacs(+0x231de0)[0x55c75e228de0]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x1e9532)[0x55c75e1e0532]
emacs(+0x1eb072)[0x55c75e1e2072]
emacs(+0x231de0)[0x55c75e228de0]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x232307)[0x55c75e229307]
emacs(+0x1ee76f)[0x55c75e1e576f]
emacs(+0x1ed2b6)[0x55c75e1e42b6]
emacs(+0x1ef849)[0x55c75e1e6849]
emacs(+0x1e7c57)[0x55c75e1dec57]
emacs(+0x15b026)[0x55c75e152026]
emacs(+0x1e7bb1)[0x55c75e1debb1]
emacs(+0x15a5ef)[0x55c75e1515ef]
emacs(+0x161d21)[0x55c75e158d21]
emacs(+0x1620b1)[0x55c75e1590b1]
emacs(+0x4e564)[0x55c75e045564]
/usr/lib/libc.so.6(__libc_start_main+0xd5)[0x7f50176beb25]
emacs(+0x4ecae)[0x55c75e045cae]